polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType > Class Template Reference

`#include <CTermStack.h>`

Inheritance diagram for polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >:

## Public Types

typedef CDegStackCore< NavigatorType, BlockProperty, std::forward_iterator_tag, BaseType > | base
typedef base::size_type | size_type
typedef base::deg_type | deg_type
typedef std::greater< size_type > | size_comparer
typedef base::manager_type | manager_type

## Public Member Functions

| CDegStackBase (NavigatorType navi, const manager_type &mgr)
| CDegStackBase (const CDegStackBase &rhs)
void | proximate ()
void | incrementBranch ()
bool | maxOnThen (deg_type deg) const

## Public Attributes

integral_constant< bool, false > | takeLast

## Member Typedef Documentation

template<class NavigatorType , class BlockProperty , class BaseType >

typedef CDegStackCore<NavigatorType, BlockProperty, std::forward_iterator_tag, BaseType> polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::base

template<class NavigatorType , class BlockProperty , class BaseType >

typedef base::deg_type polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::deg_type

template<class NavigatorType , class BlockProperty , class BaseType >

typedef base::manager_type polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::manager_type

template<class NavigatorType , class BlockProperty , class BaseType >

typedef std::greater<size_type> polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::size_comparer

template<class NavigatorType , class BlockProperty , class BaseType >

typedef base::size_type polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::size_type

## Constructor & Destructor Documentation

template<class NavigatorType , class BlockProperty , class BaseType >

polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::CDegStackBase | ( | NavigatorType | navi,
|  | const manager_type & | mgr
| ) |  |

inline

template<class NavigatorType , class BlockProperty , class BaseType >

polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::CDegStackBase | ( | const CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType > & | rhs | ) |

inline

## Member Function Documentation

template<class NavigatorType , class BlockProperty , class BaseType >

void polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::incrementBranch | ( |  | ) |

inline

template<class NavigatorType , class BlockProperty , class BaseType >

bool polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::maxOnThen | ( | deg_type | deg | ) | const

inline

template<class NavigatorType , class BlockProperty , class BaseType >

void polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::proximate | ( |  | ) |

inline

## Member Data Documentation

template<class NavigatorType , class BlockProperty , class BaseType >

integral_constant<bool, false> polybori::CDegStackBase< NavigatorType, valid_tag, BlockProperty, BaseType >::takeLast

The documentation for this class was generated from the following file:

- CTermStack.h